Bug 739350 - HVR-950 USB stick removal fails
Summary: HVR-950 USB stick removal fails
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-18 02:04 UTC by Jussi Eloranta
Modified: 2016-02-10 14:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-26 09:32:25 UTC


Attachments (Terms of Use)

Description Jussi Eloranta 2011-09-18 02:04:51 UTC
Description of problem:

If I insert HVR-950 USB TV stick (without its firmware installed; xc3028-v27.fw), the insertion and removal of the devices goes OK. Of course, it complains that the firmware does not exist and it cannot be used. If I install the firmware, insert the stick and remove it then lsusb still shows that the device is present in the system. This situation eventually messes up the whole USB bus when new devices are installed.

Here is the dmesg output without the firmware installed:

[509083.737058] usb 1-1: new high speed USB device number 8 using ehci_hcd
[509083.856426] usb 1-1: New USB device found, idVendor=2040, idProduct=6513
[509083.856434] usb 1-1: New USB device strings: Mfr=0, Product=1, SerialNumber=2
[509083.856440] usb 1-1: Product: WinTV HVR-980
[509083.856445] usb 1-1: SerialNumber: 4030607021
[509084.589408] Linux media interface: v0.10
[509084.729208] Linux video capture interface: v2.00
[509084.944281] em28xx: New device WinTV HVR-980 @ 480 Mbps (2040:6513, interface 0, class 0)
[509084.944475] em28xx #0: chip ID is em2882/em2883
[509085.093474] em28xx #0: i2c eeprom 00: 1a eb 67 95 40 20 13 65 d0 12 5c 03 82 1e 6a 18
[509085.093496] em28xx #0: i2c eeprom 10: 00 00 24 57 66 07 01 00 00 00 00 00 00 00 00 00
[509085.093516] em28xx #0: i2c eeprom 20: 46 00 01 00 f0 10 02 00 b8 00 00 00 5b 1c 00 00
[509085.093535] em28xx #0: i2c eeprom 30: 00 00 20 40 20 80 02 20 01 01 01 01 00 00 00 00
[509085.093555] em28xx #0: i2c eeprom 40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[509085.093574] em28xx #0: i2c eeprom 50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[509085.093593] em28xx #0: i2c eeprom 60: 00 00 00 00 00 00 00 00 00 00 18 03 34 00 30 00
[509085.093612] em28xx #0: i2c eeprom 70: 33 00 30 00 36 00 30 00 37 00 30 00 32 00 31 00
[509085.093632] em28xx #0: i2c eeprom 80: 00 00 1e 03 57 00 69 00 6e 00 54 00 56 00 20 00
[509085.093651] em28xx #0: i2c eeprom 90: 48 00 56 00 52 00 2d 00 39 00 38 00 30 00 00 00
[509085.093670] em28xx #0: i2c eeprom a0: 84 12 00 00 05 50 1a 7f d4 78 23 b1 fe d0 18 85
[509085.093690] em28xx #0: i2c eeprom b0: ff 00 00 00 04 84 0a 00 01 01 20 77 00 40 ad 2e
[509085.093709] em28xx #0: i2c eeprom c0: 3e f0 74 02 01 00 01 79 8d 00 00 00 00 00 00 00
[509085.093729] em28xx #0: i2c eeprom d0: 84 12 00 00 05 50 1a 7f d4 78 23 b1 fe d0 18 85
[509085.093748] em28xx #0: i2c eeprom e0: ff 00 00 00 04 84 0a 00 01 01 20 77 00 40 ad 2e
[509085.093768] em28xx #0: i2c eeprom f0: 3e f0 74 02 01 00 01 79 8d 00 00 00 00 00 00 00
[509085.093790] em28xx #0: EEPROM ID= 0x9567eb1a, EEPROM hash = 0xd09f2edd
[509085.093795] em28xx #0: EEPROM info:
[509085.093799] em28xx #0:	AC97 audio (5 sample rates)
[509085.093803] em28xx #0:	500mA max power
[509085.093808] em28xx #0:	Table at 0x24, strings=0x1e82, 0x186a, 0x0000
[509085.095350] em28xx #0: Identified as Hauppauge WinTV HVR 950 (card=16)
[509085.107712] IR NEC protocol handler initialized
[509085.130747] tveeprom 16-0050: Hauppauge model 65201, rev A1C0, serial# 4075181
[509085.130756] tveeprom 16-0050: tuner model is Xceive XC3028 (idx 120, type 71)
[509085.130764] tveeprom 16-0050: TV standards PAL(B/G) PAL(I) PAL(D/D1/K) ATSC/DVB Digital (eeprom 0xd4)
[509085.130771] tveeprom 16-0050: audio processor is None (idx 0)
[509085.130776] tveeprom 16-0050: has radio
[509085.131572] IR RC5(x) protocol handler initialized
[509085.237362] tvp5150 16-005c: chip found @ 0xb8 (em28xx #0)
[509085.237384] IR RC6 protocol handler initialized
[509085.281481] tvp5150 16-005c: tvp5150am1 detected.
[509085.303685] IR JVC protocol handler initialized
[509085.314983] i2c-core: driver [tuner] using legacy suspend method
[509085.314989] i2c-core: driver [tuner] using legacy resume method
[509085.318186] IR Sony protocol handler initialized
[509085.321174] tuner 16-0061: Tuner -1 found with type(s) Radio TV.
[509085.335396] lirc_dev: IR Remote Control driver registered, major 248 
[509085.336985] IR LIRC bridge handler initialized
[509085.372068] xc2028 16-0061: creating new instance
[509085.372076] xc2028 16-0061: type set to XCeive xc2028/xc3028 tuner
[509085.396941] xc2028 16-0061: Error: firmware xc3028-v27.fw not found.
[509085.450051] Registered IR keymap rc-hauppauge
[509085.450282] input: em28xx IR (em28xx #0) as /devices/pci0000:00/0000:00:1d.7/usb1/1-1/rc/rc0/input10
[509085.450396] rc0: em28xx IR (em28xx #0) as /devices/pci0000:00/0000:00:1d.7/usb1/1-1/rc/rc0
[509085.451938] em28xx #0: Config register raw data: 0xd0
[509085.453857] em28xx #0: AC97 vendor ID = 0xffffffff
[509085.454234] em28xx #0: AC97 features = 0x6a90
[509085.454239] em28xx #0: Empia 202 AC97 audio processor detected
[509085.588873] em28xx #0: v4l2 driver version 0.1.2
[509085.592806] xc2028 16-0061: Error: firmware xc3028-v27.fw not found.
[509085.657811] em28xx #0: V4L2 video device registered as video0
[509085.657817] em28xx #0: V4L2 VBI device registered as vbi0
[509085.659189] usbcore: registered new interface driver em28xx
[509085.659195] em28xx driver loaded
[509086.013729] em28xx-audio.c: probing for em28x1 non standard usbaudio
[509086.013736] em28xx-audio.c: Copyright (C) 2006 Markus Rechberger
[509086.014057] Em28xx: Initialized (Em28xx Audio Extension) extension
[509086.592071] xc2028 16-0061: attaching existing instance
[509086.592078] xc2028 16-0061: type set to XCeive xc2028/xc3028 tuner
[509086.592083] em28xx #0: em28xx #0/2: xc3028 attached
[509086.592089] DVB: registering new adapter (em28xx #0)
[509086.592096] DVB: registering adapter 0 frontend 0 (LG Electronics LGDT3303 VSB/QAM Frontend)...
[509086.592720] em28xx #0: Successfully loaded em28xx-dvb
[509086.592726] Em28xx: Initialized (Em28xx dvb Extension) extension
[509105.482692] usb 1-1: USB disconnect, device number 8
[509105.482830] em28xx #0: disconnecting em28xx #0 video
[509105.483172] em28xx #0: V4L2 device vbi0 deregistered
[509105.483221] em28xx #0: V4L2 device video0 deregistered
[509105.566766] xc2028 16-0061: destroying instance

One can see that it was inserted and removed - everything worked correctly.

When the firmware is installed, the dmesg output looks (insertion and subsequent removal):

[509765.275056] usb 1-1: new high speed USB device number 9 using ehci_hcd
[509765.394427] usb 1-1: New USB device found, idVendor=2040, idProduct=6513
[509765.394435] usb 1-1: New USB device strings: Mfr=0, Product=1, SerialNumber=2
[509765.394441] usb 1-1: Product: WinTV HVR-980
[509765.394446] usb 1-1: SerialNumber: 4030607021
[509765.397151] em28xx: New device WinTV HVR-980 @ 480 Mbps (2040:6513, interface 0, class 0)
[509765.397283] em28xx #0: chip ID is em2882/em2883
[509765.536918] em28xx #0: i2c eeprom 00: 1a eb 67 95 40 20 13 65 d0 12 5c 03 82 1e 6a 18
[509765.536941] em28xx #0: i2c eeprom 10: 00 00 24 57 66 07 01 00 00 00 00 00 00 00 00 00
[509765.536963] em28xx #0: i2c eeprom 20: 46 00 01 00 f0 10 02 00 b8 00 00 00 5b 1c 00 00
[509765.536984] em28xx #0: i2c eeprom 30: 00 00 20 40 20 80 02 20 01 01 01 01 00 00 00 00
[509765.537033] em28xx #0: i2c eeprom 40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[509765.537054] em28xx #0: i2c eeprom 50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[509765.537075] em28xx #0: i2c eeprom 60: 00 00 00 00 00 00 00 00 00 00 18 03 34 00 30 00
[509765.537096] em28xx #0: i2c eeprom 70: 33 00 30 00 36 00 30 00 37 00 30 00 32 00 31 00
[509765.537117] em28xx #0: i2c eeprom 80: 00 00 1e 03 57 00 69 00 6e 00 54 00 56 00 20 00
[509765.537139] em28xx #0: i2c eeprom 90: 48 00 56 00 52 00 2d 00 39 00 38 00 30 00 00 00
[509765.537160] em28xx #0: i2c eeprom a0: 84 12 00 00 05 50 1a 7f d4 78 23 b1 fe d0 18 85
[509765.537181] em28xx #0: i2c eeprom b0: ff 00 00 00 04 84 0a 00 01 01 20 77 00 40 ad 2e
[509765.537203] em28xx #0: i2c eeprom c0: 3e f0 74 02 01 00 01 79 8d 00 00 00 00 00 00 00
[509765.537224] em28xx #0: i2c eeprom d0: 84 12 00 00 05 50 1a 7f d4 78 23 b1 fe d0 18 85
[509765.537246] em28xx #0: i2c eeprom e0: ff 00 00 00 04 84 0a 00 01 01 20 77 00 40 ad 2e
[509765.537267] em28xx #0: i2c eeprom f0: 3e f0 74 02 01 00 01 79 8d 00 00 00 00 00 00 00
[509765.537291] em28xx #0: EEPROM ID= 0x9567eb1a, EEPROM hash = 0xd09f2edd
[509765.537298] em28xx #0: EEPROM info:
[509765.537302] em28xx #0:	AC97 audio (5 sample rates)
[509765.537308] em28xx #0:	500mA max power
[509765.537314] em28xx #0:	Table at 0x24, strings=0x1e82, 0x186a, 0x0000
[509765.538418] em28xx #0: Identified as Hauppauge WinTV HVR 950 (card=16)
[509765.540977] tveeprom 16-0050: Hauppauge model 65201, rev A1C0, serial# 4075181
[509765.540986] tveeprom 16-0050: tuner model is Xceive XC3028 (idx 120, type 71)
[509765.540994] tveeprom 16-0050: TV standards PAL(B/G) PAL(I) PAL(D/D1/K) ATSC/DVB Digital (eeprom 0xd4)
[509765.541001] tveeprom 16-0050: audio processor is None (idx 0)
[509765.541033] tveeprom 16-0050: has radio
[509765.544118] tvp5150 16-005c: chip found @ 0xb8 (em28xx #0)
[509765.588419] tvp5150 16-005c: tvp5150am1 detected.
[509765.595121] tuner 16-0061: Tuner -1 found with type(s) Radio TV.
[509765.595147] xc2028 16-0061: creating new instance
[509765.595153] xc2028 16-0061: type set to XCeive xc2028/xc3028 tuner
[509765.599668] xc2028 16-0061: Loading 80 firmware images from xc3028-v27.fw, type: xc2028 firmware, ver 2.7
[509765.633035] xc2028 16-0061: Loading firmware for type=BASE MTS (5), id 0000000000000000.
[509766.508718] xc2028 16-0061: Loading firmware for type=MTS (4), id 000000000000b700.
[509766.523212] xc2028 16-0061: Loading SCODE for type=MTS LCD NOGD MONO IF SCODE HAS_IF_4500 (6002b004), id 000000000000b700.
[509766.639342] Registered IR keymap rc-hauppauge
[509766.639895] input: em28xx IR (em28xx #0) as /devices/pci0000:00/0000:00:1d.7/usb1/1-1/rc/rc1/input11
[509766.640263] rc1: em28xx IR (em28xx #0) as /devices/pci0000:00/0000:00:1d.7/usb1/1-1/rc/rc1
[509766.640586] em28xx #0: Config register raw data: 0xd0
[509766.641339] em28xx #0: AC97 vendor ID = 0xffffffff
[509766.641711] em28xx #0: AC97 features = 0x6a90
[509766.641715] em28xx #0: Empia 202 AC97 audio processor detected
[509766.774848] em28xx #0: v4l2 driver version 0.1.2
[509766.808033] xc2028 16-0061: Loading firmware for type=BASE F8MHZ MTS (7), id 0000000000000000.
[509767.685764] MTS (4), id 00000000000000ff:
[509767.685776] xc2028 16-0061: Loading firmware for type=MTS (4), id 0000000100000007.
[509767.876707] em28xx #0: V4L2 video device registered as video0
[509767.876714] em28xx #0: V4L2 VBI device registered as vbi0
[509767.876719] em28xx-audio.c: probing for em28x1 non standard usbaudio
[509767.876723] em28xx-audio.c: Copyright (C) 2006 Markus Rechberger

There is no sign of the device removal and lsusb still shows that it is present in the system (even though it is not):

Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 03f0:7411 Hewlett-Packard 
Bus 004 Device 002: ID 046d:c016 Logitech, Inc. Optical Wheel Mouse
Bus 004 Device 003: ID 413c:2005 Dell Computer Corp. RT7D50 Keyboard
Bus 005 Device 003: ID 05ac:8240 Apple, Inc. IR Receiver [built-in]
Bus 005 Device 004: ID 05ac:8205 Apple, Inc. Bluetooth HCI
Bus 001 Device 009: ID 2040:6513 Hauppauge WinTV HVR-980

Strange enough, I don't even see /dev/dvb directory being created. This directory existed when the firmware was not installed. I am not exactly sure why lsusb reports it as HVR-980 (the module says 950 on it).

I have another USB TV stick (by KWORLD) and this works OK. So there is probably some sort of bug in the HVR driver.

Version-Release number of selected component (if applicable):

I see identical behavior on two different machines:

Linux mac.localdomain 2.6.40.3-0.fc15.i686.PAE #1 SMP Tue Aug 16 04:17:30 UTC 2011 i686 i686 i386 GNU/Linux

with Intel Corporation N10/ICH 7 Family USB UHCI Controller

and

Linux tv.localdomain 2.6.40.4-5.fc15.i686.PAE #1 SMP Tue Aug 30 14:43:52 UTC 2011 i686 i686 i386 GNU/Linux

ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller

Steps to Reproduce:
1. Install HVR-950 firmware (xc3028-v27.fw in /lib/firmware)
2. Plug in HVR-950. At this point /dev/dvb directory does not seem to be created.
3. Remove HVR-950 and the device is still present in the system even though it is physically disconnected.

Comment 1 Josh Boyer 2011-10-07 13:50:53 UTC
Mauro, any thoughts on this?

Comment 2 Mauro Carvalho Chehab 2011-10-07 17:49:29 UTC
Josh,

It is likely due to the lock troubles found at the em28xx driver.

There were a number of fixes for it that went to my development tree
(http://git.linuxtv.org/media_tree.git) that addresses it:

778f295 [media] em28xx: replug locking cleanup
f055815 [media] em28xx: remove unused prototypes
b868a53 [media] em28xx: fix deadlock when unplugging and replugging a DVB adapter
d7222e7 [media] em28xx: fix race on disconnect
9da9f35 [media] em28xx: Fix em28xx_devused cleanup logic on error
f6c226b [media] em28xx: ERROR: "em28xx_add_into_devlist" [drivers/media/video/em28xx/em28xx.ko] undefined!
16e3d2f [media] EM28xx - Fix memory leak on disconnect or error
0b8bd83 [media] em28xx: don't sleep on disconnect
76424a0 [media] em28xx: move printk lines outside mutex lock
6c03e38 [media] em28xx: clean up resources should init fail
38b61eb [media] em28xx: use atomic bit operations for devices-in-use mask

Those weren't tagged for staging, as they were complex, there some cleanups in the middle of this series, and I wanted to have more tests before having it upstream. They should be sent upstream for 3.2.

Comment 3 Jussi Eloranta 2011-10-08 22:44:36 UTC
Just plugged it into a ubuntu 10.04 box with kernel 2.6.32-32 and it seemed to create the proper /dev/dvb directory and after removing it the kernel reported it as removed correctly. So the problem appeared somewhere between 2.6.32 and 2.6.40. I am going to try the latest media_tree next.

Comment 4 Jussi Eloranta 2011-10-09 20:45:36 UTC
The media_tree git as of Oct 8 seems to have fixed the problem. In the past I also had another problem with the Hauppauge USB HDTV stick (when I was able to load it properly). It would suddenly stop working and flooded the syslog with the following:

Aug  9 20:53:46 tv kernel: [ 1407.915108] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x58 error (ret == -19)
Aug  9 20:53:46 tv kernel: [ 1407.915729] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x1c error (ret == -19)
Aug  9 20:53:46 tv kernel: [ 1407.916356] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x6e error (ret == -19)
Aug  9 20:53:46 tv kernel: [ 1407.916979] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x6e error (ret == -19)
Aug  9 20:53:46 tv kernel: [ 1407.917606] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x8b error (ret == -19)
Aug  9 20:53:46 tv kernel: [ 1407.968238] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x58 error (ret == -19)
Aug  9 20:53:46 tv kernel: [ 1407.968862] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x1c error (ret == -19)

etc.

I have not seen this at least yet so hopefully this got fixed too! It would be great to get these fixes in the mainline kernel at some point.

Thanks - good job!

Comment 5 Mauro Carvalho Chehab 2011-10-09 22:39:40 UTC
(In reply to comment #3)
> Just plugged it into a ubuntu 10.04 box with kernel 2.6.32-32 and it seemed to
> create the proper /dev/dvb directory and after removing it the kernel reported
> it as removed correctly. So the problem appeared somewhere between 2.6.32 and
> 2.6.40. I am going to try the latest media_tree next.

It was due to the BKL removal patches (2.6.39 or something).

(In reply to comment #4)
> The media_tree git as of Oct 8 seems to have fixed the problem. In the past I
> also had another problem with the Hauppauge USB HDTV stick (when I was able to
> load it properly). It would suddenly stop working and flooded the syslog with
> the following:
> 
> Aug  9 20:53:46 tv kernel: [ 1407.915108] lgdt330x: i2c_read_demod_bytes: addr
> 0x0e select 0x58 error (ret == -19)
> Aug  9 20:53:46 tv kernel: [ 1407.915729] lgdt330x: i2c_read_demod_bytes: addr
> 0x0e select 0x1c error (ret == -19)
> Aug  9 20:53:46 tv kernel: [ 1407.916356] lgdt330x: i2c_read_demod_bytes: addr
> 0x0e select 0x6e error (ret == -19)
> Aug  9 20:53:46 tv kernel: [ 1407.916979] lgdt330x: i2c_read_demod_bytes: addr
> 0x0e select 0x6e error (ret == -19)
> Aug  9 20:53:46 tv kernel: [ 1407.917606] lgdt330x: i2c_read_demod_bytes: addr
> 0x0e select 0x8b error (ret == -19)
> Aug  9 20:53:46 tv kernel: [ 1407.968238] lgdt330x: i2c_read_demod_bytes: addr
> 0x0e select 0x58 error (ret == -19)
> Aug  9 20:53:46 tv kernel: [ 1407.968862] lgdt330x: i2c_read_demod_bytes: addr
> 0x0e select 0x1c error (ret == -19)
> 
> etc.
> 
> I have not seen this at least yet so hopefully this got fixed too! It would be
> great to get these fixes in the mainline kernel at some point.

They'll be sent upstream for Kernel 3.2. Not sure how easy would be to backport them to Fedora 15.
> 
> Thanks - good job!

Comment 6 Jussi Eloranta 2011-12-19 04:08:47 UTC
Except the i2c_read_demod_bytes error seems to persist. I think this has something to do with signal strength. Due to high winds I had to lower my antenna (and signal strength went down too) and these messages started coming up again.

Comment 7 Josh Boyer 2012-06-06 19:40:28 UTC
F15 is using the 2.6.43 kernel now.  This should include the fixes that Mauro mentioned above.  If you still see this with the 3.3 kernel, please let us know.

Comment 8 Jussi Eloranta 2014-03-04 03:27:03 UTC
Well, we are now at 3.13.5-200.fc20.x86_64 and the problem is still there. First the stick works fine and then after some time it stops working and the system log is flooded with the following:

....
[36027.728514] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x6e error (ret 
== -19)
[36027.779117] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x58 error (ret 
== -19)
[36027.779656] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x6e error (ret 
== -19)
[36027.779990] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x6e error (ret 
== -19)
[36027.830997] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x58 error (ret 
== -19)
[36027.831515] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x6e error (ret 
== -19)
[36027.831875] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x6e error (ret 
== -19)
[36027.882370] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x58 error (ret 
== -19)
[36027.882754] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x6e error (ret 
== -19)
[36027.883127] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x6e error (ret 
== -19)
[36027.934008] lgdt330x: i2c_read_demod_bytes: addr 0x0e select 0x58 error (ret 
== -19)
...

Any ideas?

Comment 9 Jan Kurik 2015-12-22 11:35:35 UTC
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.


Note You need to log in before you can comment on or make changes to this bug.